## tmpl-error

tmpl-error

## Functions

GQuark | tmpl_error_quark ()

## Types and Values

#define | TMPL_ERROR
enum | TmplError

## Description

## Functions

### tmpl_error_quark ()

    GQuark
    tmpl_error_quark (void);

## Types and Values

### TMPL_ERROR

    #define TMPL_ERROR (tmpl_error_quark())

### enum TmplError

#### Members

TMPL_ERROR_INVALID_STATE |  |
TMPL_ERROR_TEMPLATE_NOT_FOUND |  |
TMPL_ERROR_CIRCULAR_INCLUDE |  |
TMPL_ERROR_SYNTAX_ERROR |  |
TMPL_ERROR_LEXER_FAILURE |  |
TMPL_ERROR_TYPE_MISMATCH |  |
TMPL_ERROR_INVALID_OP_CODE |  |
TMPL_ERROR_DIVIDE_BY_ZERO |  |
TMPL_ERROR_MISSING_SYMBOL |  |
TMPL_ERROR_SYMBOL_REDEFINED |  |
TMPL_ERROR_NOT_AN_OBJECT |  |
TMPL_ERROR_NULL_POINTER |  |
TMPL_ERROR_NO_SUCH_PROPERTY |  |
TMPL_ERROR_GI_FAILURE |  |
TMPL_ERROR_RUNTIME_ERROR |  |
TMPL_ERROR_NOT_IMPLEMENTED |  |
TMPL_ERROR_NOT_A_VALUE |  |
TMPL_ERROR_NOT_A_FUNCTION |  |